Package: org.codehaus.groovy.classgen.asm.sc

## [Java] Class StaticTypesStatementWriter

- org.codehaus.groovy.classgen.asm.sc.StaticTypesStatementWriter

-     public class StaticTypesStatementWriter
      extends StatementWriter

  A class to write out the optimized statements.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class StatementWriter` | `controller`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `StaticTypesStatementWriter(StaticTypesWriterController controller)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `writeBlockStatement(BlockStatement statement)`
    `` | `protected void` | `writeForInLoop(ForStatement loop)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class StatementWriter` | `writeAssert, writeBlockStatement, writeBreak, writeContinue, writeDoWhileLoop, writeExpressionStatement, writeForInLoop, writeForInLoopControlAndBlock, writeForLoopWithClosureList, writeForStatement, writeIfElse, writeIteratorHasNext, writeIteratorNext, writeReturn, writeStatementLabel, writeSwitch, writeSynchronized, writeThrow, writeTryCatchFinally, writeWhileLoop`

- - ### Constructor Detail

    - #### public StaticTypesStatementWriter(StaticTypesWriterController controller)

  - ### Method Detail

    - #### @Override
      public void writeBlockStatement(BlockStatement statement)

    - #### @Override
      protected void writeForInLoop(ForStatement loop)